Docs

Reference

Edit another AI connection

Edit another connection (not yourself). Send the revision you read; 409 if it changed.

View MarkdownThis page is generated from the source code on every release.

Edit another connection (not yourself). Send the revision you read; 409 if it changed.

Overview

Name Value
Code connections.update
Scope needed integrations.manage
Risk Dangerous
May need confirmation Yes
Runs as Answers right away
Needs Idempotency-Key No
Member roles allowed owner, manager
In the app Settings → AI connections → Edit

Input fields

Field Type Required Description
name text Yes
role "manager" | "agent" | "viewer" Yes
scopes "accounts.read" | "accounts.settings" | "accounts.manage" | "messages.read" | "messages.send" | "messages.manage" | "chats.manage" | "contacts.write" | "groups.join" | "groups.admin" | "groups.scan" | "profile.write" | "crm.read" | "crm.write" | "crm.export" | "crm.erase" | "campaigns.write" | "campaigns.run" | "nurture.write" | "discovery.write" | "automation.write" | "stats.read" | "audit.read" | "infra.manage" | "members.manage" | "integrations.manage" | "webhooks.read" | "webhooks.manage" | "bots.manage"[] Yes
profile "realtime" | "setup" | "prospecting" | "reports" | "admin" | "full" No
accountMode "all" | "list" Yes
accountIds uuid[] No
riskPolicy object No
budgets object No
ratePerMin integer No
expiresAt timestamp No
loopAutoPause true/false No
locale "vi" | "en" No
id uuid Yes
revision integer Yes

Example request

curl -X POST https://tlg.builera.app/api/public/v2/ops/connections.update \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"…","role":"manager","scopes":[],"accountMode":"all","id":"00000000-0000-0000-0000-000000000000","revision":1}'

Output fields (data)

Field Type Required
ok true Yes
revision number Yes

Example answer

{
  "data": {
    "ok": true,
    "revision": 1
  }
}

Using it over MCP

Not listed on any profile: call tools_describe then tools_run with code: "connections.update". Tool name when listed: connections_update.

Was this page helpful?

Last checked: 10/24/2026 · build 2.0